## afio 2.4.5

=== Makefile ===
--- 
+++ 
@@ -54,9 +54,10 @@
 # Please read the COPYING.LIB file in this archive if you plan to
 # redistribute afio executables with this library linked in.
 
-CFLAGS1 = -s -O2 -fomit-frame-pointer
-#CFLAGS1 =  -fomit-frame-pointer
-#CFLAGS1 = -Wall  -fomit-frame-pointer
+#CFLAGS1 = -ggdb
+CFLAGS1 = -Wformat -g -O2 -fomit-frame-pointer
+#CFLAGS1 = -Wformat -g -fomit-frame-pointer
+
 
 CC=gcc
 
@@ -74,8 +75,6 @@
 	cp afio /usr/bin
 	cp afio.1 /usr/man/man1
 
-tarfile: clean
-	{ cd .. ; tar zcvf /root/src/tbackup/afio.2.4.2.tgz afio.2.4.2 }
 
 afio.o : afio.h patchlevel.h
 compfile.o : afio.h
