## afio 2.4.7

=== Makefile ===
--- 
+++ 
@@ -55,15 +55,15 @@
 # redistribute afio executables with this library linked in.
 
 #CFLAGS1 = -ggdb
-CFLAGS1 = -Wformat -g -O2 -fomit-frame-pointer
-#CFLAGS1 = -Wformat -g -fomit-frame-pointer
+#CFLAGS1 = -Wall -s -g -O2 -fomit-frame-pointer
+CFLAGS1 = -Wall -O2 -fomit-frame-pointer
 
 
 CC=gcc
 
 
 CFLAGS = ${CFLAGS1} $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $f $g $I
-LDFLAGS = -s
+LDFLAGS =
 
 afio : afio.o compfile.o exten.o match.o $M
 	${CC} ${LDFLAGS} afio.o compfile.o exten.o match.o $M -o afio
