## afio 2.5.1.20120205+git0c14fb9

=== debian/changelog ===
afio (2.5.1.20120205+git0c14fb9-1) unstable; urgency=low

  * New maintainer (Closes: #653497).
  * New upstream release
    - Remove source code patches. Included upream.
    - Move package to archive area non-free due to license.
      See bug report for details about DFSG discussion (Closes: #509287).
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9, remove dpatch.
    - (Section) Change from main "utils" to "non-free/utils".
    - (Standards-Version): Update to 3.9.3.
    - (Vcs-*): new headers.
  * debian/copyright
    - Upate to Format 1.0.
  * debian/{docs,manpages,install}
    - New files.
  * debian/patches
    - (10): New. Support user CFLAGS directly (hardening support).
  * debian/README.Debian
    - Delete; not needed for dpatch any more.
  * debian/rules
    - Update to dh(1).
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/watch
    - Disable. Code is now only in upstream Git.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 31 Jul 2012 08:39:40 +0300

afio (2.5-6) unstable; urgency=low

  * Added Homepage field in debina/control (Closes: #615186)
  * Orphan package

 -- Erik Schanze <eriks@debian.org>  Wed, 28 Dec 2011 22:07:03 +0100

afio (2.5-5) unstable; urgency=low

  * debian/rules: Added handling of DEB_BUILD_OPTIONS (Closes: #436378)
    - added 25_makefile_cflags.dpatch
  * debian/rules: fixed clean rule (lintian warning)
  * debian/copyright: fixed FSF address (lintian warning)

 -- Erik Schanze <eriks@debian.org>  Sat, 11 Aug 2007 22:22:38 +0200

afio (2.5-4) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.7.2
    + Added homepage
    + Updated maintainers email address
  * Updated debian/watch file to version 3
  * Added 15_fix_compile_warnings.dpatch to fix some compile warnings

 -- Erik Schanze <eriks@debian.org>  Sat, 25 Nov 2006 23:34:23 +0100

afio (2.5-3) unstable; urgency=low

  * New maintainer
  * cleaned up debian/copyright for better reading, updated download URL
  * debian/control: set Standards-Version to 3.6.1
  * removed patch-* files from debian/ to save space
  * Added dpatch to Build-Depends
  * Put previous fix of bug 246044 to patch file 05_variable_msg_length.dpatch
    but changes malloc() call to afio's memget() for error handling
  * Added patch 10_afio_nullbyte_globbing.dpatch:
    - brings nullbyte separator for filelists and missing possibility to
      disable globbing (Closes: #265879)
  * Added patch 20_manpage.dpatch:
    - added .ogg extention to list "will not compressed" (Closes: #280201)
    - removed additional line in afio.1 (Closes: #289107)
    - added explaination on option -0 and new option -7 (for bug #265879)
  * Increased debhelper compat level to 4
  * Added watch file for DEHS
  * Description line now begins lowercase (fixes lintian warning)

 -- Erik Schanze <schanzi_@gmx.de>  Sat, 25 Jan 2005 22:36:29 +0100

afio (2.5-2) unstable; urgency=low

  * afio.c, afio.1: Applied upstream patch by Koen to address fixed
    buffer size, and documentation, for -H argument (Closes: #246044)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Apr 2004 21:53:13 -0500

afio (2.5-1) unstable; urgency=low

  * New upstream version released this morning
  * debian/rules: Corrected test for 'make regtest2gb'

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Dec 2003 09:12:16 -0600

afio (2.4.8beta1-1) unstable; urgency=low

  * New upstream beta release
  * debian/control: Increased Standards-Version to 3.6.1.0
  * debian/rules: Ensure 'make check' is run as a normal user as fakeroot
    interferes with the two upstream regression tests
  * debian/rules: Ensure that the `make check' command 'make regtest2gb'
    is executed only on i386, ia64 and powerpc

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Dec 2003 19:20:48 -0600

afio (2.4.7.9beta4-1) unstable; urgency=low

  * New upstream beta release, also announced on freshmeat.net
  * debian/rules: Comment our simple test routines out as upstream has
    creatting a proper regression test framework

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Dec 2002 19:39:03 -0600

afio (2.4.7.8beta9-1) unstable; urgency=low

  * New upstream beta release
  * debian/rules: Added new targets 'make regtest' and 'make regtest2gb'
    [ The 2gb regression test only makes sense on recent 2.4.* kernels,
      we will see how the build daemons fare. Diskspace may be an issue. ]
  * Removed debian/patch-9_2.4.8.beta from previous Debian release as
    this beta release encompasses it. No need to add 40kb to the diff.

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 Dec 2002 20:29:29 -0600

afio (2.4.7-8) unstable; urgency=low

  * Applied new upstream patch by Koen, applied against stock 2.4.7, which
    consolidates all the previous 2gb patches.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Nov 2002 14:50:36 -0600

afio (2.4.7-7) unstable; urgency=low

  * Applied new upstream patch by Koen which consolidates and extends
    some of the changes Stephen made in the 2.4.7-6 patches.
  * debian/rules: Doh, test target also called in binary-arch

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  3 Aug 2002 15:14:26 -0500

afio (2.4.7-6) unstable; urgency=low

  * afio.c: Applied patches by Stephen van Egmond <svanegmond@tinyplanet.ca>
    to correct afio on powerpc; this patch supersedes the one in #144986
    and attempts to also correct all -Wall issues (Closes: #153948)
  * Makefile: Following discussion with Koen and Stephen, undo the patch
    of -4 and -4 on powerpc (using conditional statements) as this seems
    to lead to archive corruption on 64bit powerpc system.
  * debian/rules: Added 'test' target which runs afio on its own sources
    and verifies the output -- this is a simple defensive matter as we
    recently learned about some problems with endianness.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  1 Aug 2002 21:36:56 -0500


