=== debian/control ===
Source: afio
Section: non-free/utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/afio.git
Vcs-Git: git://git.debian.org/git/collab-maint/afio.git
Homepage: http://freshmeat.net/projects/afio

Package: afio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive file manipulation program
 Afio manipulates groups of files, copying them within or between
 filesystems and an afio archive.
 .
 Afio archives are portable as they contain only ASCII-formatted header
 information. Afio makes cpio-format archives.  Afio deals somewhat
 gracefully with input data corruption.  Afio supports multi-volume
 archives during interactive operation.  Afio can make compressed
 archives that are much safer than compressed tar or cpio archives.
 .
 Afio is best used as an `archive engine' in a backup script.
