## afio 2.5.1.20121112+git897262d

=== debian/changelog ===
afio (2.5.1.20121112+git897262d-1) unstable; urgency=low

  * New upstream release
    - Fix "output with null-terminated inputs" (Closes: #420654).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Nov 2012 07:40:54 +0200

afio (2.5.1.20120925+git822904b-1) unstable; urgency=low

  * New upstream release
    - Fix "fails with ASX no fsname for this name" (Closes: 686613).
  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/patches
    - Remove directory; CPPFLAGS patch accepted upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 Sep 2012 23:54:25 +0300
