## afio 2.5.1.20130626%2Bgite266635

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/afio.git
-Vcs-Git: git://git.debian.org/git/collab-maint/afio.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afio.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/afio.git
 Homepage: http://freshmeat.net/projects/afio
 
 Package: afio
