## afio 2.5.1.20130626+gite266635

=== debian/changelog ===
afio (2.5.1.20130626+gite266635-1) unstable; urgency=low

  * New upstream release.
    - Fix verification against filesystem does not work (Closes: #565202).
      Improve -r option using stat().
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update year.
    - Update upstream email addresses.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 Jun 2013 13:51:18 +0300
