## afio 2.5.1.20160103+gitc8e4317

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 SHELL=/bin/sh
+##
+##  See the INSTALLATION file for quick installation instructions.
 ##
 ##  I wrote this Makefile, based on comments in the source.  -rich $alz.
 ##  Define INDEX to use index() in place of strchr() (v7, BSD).
@@ -25,11 +27,15 @@
 ##  Define HAVEMEMCMP if you have memcmp otherwise assumes bcmp
 c	= -DHAVEMEMCMP
 ##  Define DEFFMTCMD to being how to format the media you use the most
-##		This is the DEFault FoRMat CoManD. 
+##		This is the DEFault FoRMat CoManD.
 d	= -DDEFFMTCMD='"fdformat /dev/fd0H1440"'
 ##  Define LONGZFILE if you want .Z to be tagged on the end of a 14 char
 ##	file name (or longer for BSD) in the archive when the file is compressed
 #e	= -DLONGZFILE
+
+##  Define HAVE_LCHOWN is the system has an lchown call (like chown but does
+##  not follow symlinks)
+e2      = -DHAVE_LCHOWN
 
 ##  Define PRG_COMPRESS to get something other than `gzip'.
 # you need to edit compfile.c (-G option) if you change this line.
@@ -54,30 +60,59 @@
 # Please read the COPYING.LIB file in this archive if you plan to
 # redistribute afio executables with this library linked in.
 
-#CFLAGS1 = -ggdb
-#CFLAGS1 = -Wall -s -g -O2 -fomit-frame-pointer
-CFLAGS1 = -Wall -O2 -fomit-frame-pointer
+#uncomment one of the two lines below to
+#get the normal or large file compile environment
+# afio will work when compiled in both environments, but on old or non-linux
+# systems the large file compile environment itself might be buggy or beta.
+#LARGEFILEFLAGS=
+LARGEFILEFLAGS=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
 
+# even more warnings flags..
+MW=-Wformat -Werror=format-security -Wall
+#MW=-Wtraditional -Wcast-qual -Wcast-align -Wconversion -pedantic -Wlong-long -Wimplicit -Wuninitialized -W -Wshadow -Wsign-compare -Wstrict-prototypes -Wmissing-declarations
+
+CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer $(LARGEFILEFLAGS) $(MW)
 
 CC=gcc
 
-
-CFLAGS = ${CFLAGS1} $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $f $g $I
-LDFLAGS =
+# also using contents of usin CPPFLAGS, CFLAGS, LDFLAGS out of environment
+# variables, if they exist
+CFLAGS += $(CFLAGS1) $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $(e2) $f $g $I
+LDFLAGS +=
+CPPFLAGS +=
 
 afio : afio.o compfile.o exten.o match.o $M
-	${CC} ${LDFLAGS} afio.o compfile.o exten.o match.o $M -o afio
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) \
+	afio.o compfile.o exten.o match.o $M -o afio
 
 clean:
 	rm -f *.o afio
+	rm -f regtest/cmpstat regtest/makesparse
+	rm -f regtest/statsize regtest/statsize64
+	cd regtest; /bin/sh regtest.clean
 
 install: afio
-	cp afio /usr/bin
-	cp afio.1 /usr/man/man1
+	cp afio /usr/local/bin
+	cp afio.1 /usr/share/man/man1
+
+# generate default list of -E extensions from manpage
+# note: on sun, I had to change awk command below to nawk or gawk
+# to get it to work.
+exten_default.h : afio.1
+		awk -f exten_make.awk afio.1 >exten_default.h
 
 
 afio.o : afio.h patchlevel.h
 compfile.o : afio.h
-exten.o : afio.h
+exten.o : afio.h exten_default.h
 match.o : afio.h
 
+regtest: regtestx
+
+regtestx: afio
+	cd regtest; make; rm cmpstat
+
+regtest2gb: regtest2gbx
+
+regtest2gbx: afio
+	cd regtest; make 2gb
