=== debian/changelog ===
afio (2.5.1.20160103+gitc8e4317-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920069)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Standards-Version: bumped to 4.4.1 (no changes needed)
      - Switch VCS URLs to salsa.debian.org
  * debian/copyright: updated years and rights.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 30 Dec 2019 21:50:01 -0300

afio (2.5.1.20160103+gitc8e4317-1) unstable; urgency=medium

  * New upstream snapshot release.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Files: *): Add Copyright years.
    - Update URLs.
  * debian/patches
    - (10, 20): Correct spelling. Forwarded upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 10:20:48 +0300
