=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: afio
 Section: non-free/utils
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afio.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/afio.git
-Homepage: http://freshmeat.net/projects/afio
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
+Vcs-Git: https://salsa.debian.org/debian/afio.git
+Vcs-Browser: https://salsa.debian.org/debian/afio
+Homepage: https://github.com/kholtman/afio
 
 Package: afio
 Architecture: any
