=== debian/watch ===
version=3
# Old: http://www.ibiblio.org/pub/Linux/system/backup/afio-(.*)(?:\.tar(?:\.gz|\.bz2)?|\.tgz) debian uupdate
# New one is only in Git.
# https://github.com/kholtman/afio/downloads
