## afio 2.5.2

=== Makefile ===
--- 
+++ 
@@ -69,9 +69,12 @@
 
 # even more warnings flags..
 MW=-Wformat -Werror=format-security -Wall
+
+#the set of warning flags below can be uncommented to get lots of places where
+#code can be reviewed manually
 #MW=-Wtraditional -Wcast-qual -Wcast-align -Wconversion -pedantic -Wlong-long -Wimplicit -Wuninitialized -W -Wshadow -Wsign-compare -Wstrict-prototypes -Wmissing-declarations
 
-CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer $(LARGEFILEFLAGS) $(MW)
+CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer -Wno-unused-result $(LARGEFILEFLAGS) $(MW)
 
 CC=gcc
