=== debian/changelog ===
afio (2.5.2-3) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * d/control: Build-Depends: + cpio
  * add d/patches/fix-Makefile-test-propagate-errors.patch
    let make regtest propagate errors
  Thanks Adam Borowski
 -- xiao sheng wen <atzlinux@sina.com>  Wed, 13 Oct 2021 11:04:23 +0800

afio (2.5.2-2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * update d/patches, add the Forwarded URL
  * delete d/dirs, update d/install
  * d/watch: update to version 4, update the upstream URL
  * d/copyright: add xiao sheng wen for debian dir
  * d/control:
      - set Rules-Requires-Root: no
      - Bump Standards-Version: 4.6.0
  * d/rules:
   - delete override_dh_dwz, not need
   - delete run-test, add override_dh_auto_test
   - add nocheck filter for override_dh_auto_test
   - delete DEFS, DEB_CFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND, not used

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 09 Oct 2021 16:52:11 +0800

afio (2.5.2-1) unstable; urgency=medium

  [ 肖盛文 ]
  * New upstream version 2.5.2
  * add debian/gbp.conf
  * update patch files for new upstream 2.5.2
  * Set upstream metadata fields: Repository Repository-Browse

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 07 May 2020 19:17:31 +0800

afio (2.5.1.20160103+gitc8e4317-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 2.5-3.

  [ 肖盛文 ]
  * spelling-error-in-manpage usr/share/man/man1/afio.1.gz chunck chunk
  * debian/rules:
      - + dh_dwz -Xdebian/afio/bin/afio
      - delete --as-needed in export DEB_LDFLAGS_MAINT_APPEND
  * debian/control:
      - Bumped Standards-Version: 4.5.0
      - Bumped debhelper-compat 13
      - change Section from non-free/utils to utils
      - New maintainer (Closes: #920069)
  * debian/watch:
      add https://github.com/kholtman/afio/archive/v(.*).tar.gz

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 06 May 2020 19:03:55 +0800
