=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: afio
-Section: non-free/utils
+Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
-Rules-Requires-Root: binary-targets
+Maintainer: xiao sheng wen <atzlinux@sina.com>
+Build-Depends: debhelper-compat (= 13),
+ cpio,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/afio.git
 Vcs-Browser: https://salsa.debian.org/debian/afio
 Homepage: https://github.com/kholtman/afio
