=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	# save original (due to diff)
	cp exten_default.h exten_default_orig.h
	dh_auto_build

override_dh_clean:
	# restore original exten_default.h
	if test -e exten_default_orig.h; then \
	    mv exten_default_orig.h exten_default.h; \
	fi
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	LANG=C;$(MAKE) regtest
endif

override_dh_auto_install:
	# Disabled. See debian/install

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@
